#include<bits/stdc++.h>
using namespace std;
inline void _fio(void) {
	freopen("query.in","r",stdin);
	freopen("query.out","w",stdout);
	return;
}
inline void _fc(void) {
	fclose(stdin);
	fclose(stdout);
	return;
}
int main(void) {
	_fio();
	int n,a,b,k,q;
	scanf("%d",&n);
	for(int i=1;i<n;++i) scanf("%d%d",&a,&b);
	scanf("%d",&q);
	for(int i=0;i<q;++i) {
		scanf("%d%d%d",&a,&b,&k);
		printf("%d\n",b-k+1);
	}
	_fc();
	return 0;
} 
